[pushed] libsanitizer, Darwin: Restrict build to Darwin 16 or newer.

Message ID 20221204104437.32069-1-iain@sandoe.co.uk
State Committed
Commit 7fe8aca8a62341b9f4ee68d621c087c6f17ce82a
Headers
Series [pushed] libsanitizer, Darwin: Restrict build to Darwin 16 or newer. |

Commit Message

Iain Sandoe Dec. 4, 2022, 10:44 a.m. UTC
  Tested on i686-darwin9, x86_64-darwin12, 21, and on x86_64-linux-gnu,
pushed to master, thanks
Iain

-- >8 --

The latest import has added dependencies on system resources that are not
present until Darwin 16.  It might be possible to work around these for
earlier systems, but in the short-term we have to disable the build so that
bootstrap completes.

Signed-off-by: Iain Sandoe <iain@sandoe.co.uk>

libsanitizer/ChangeLog:

	* configure.tgt: Restrict build to Darwin 16 or newer.
---
 libsanitizer/configure.tgt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
  

Patch

diff --git a/libsanitizer/configure.tgt b/libsanitizer/configure.tgt
index 87d8a2c3820..1175cd1a4e3 100644
--- a/libsanitizer/configure.tgt
+++ b/libsanitizer/configure.tgt
@@ -64,7 +64,7 @@  case "${target}" in
 		HWASAN_SUPPORTED=yes
 	fi
 	;;
-  x86_64-*-darwin2* | x86_64-*-darwin1[2-9]* | i?86-*-darwin1[2-9]*)
+  x86_64-*-darwin2* | x86_64-*-darwin1[6-9]* | i?86-*-darwin1[6-8]*)
 	TSAN_SUPPORTED=no
 	EXTRA_CXXFLAGS="${EXTRA_CXXFLAGS} -Wl,-undefined,dynamic_lookup"
 	;;